Subject: Re: [bitcoin-dev] A Modified Version of Luke-jr's Block Size BIP

From: alp alp <[email-masked]>
Date: Wed, 8 Feb 2017 14:13:18 -0600

>Only the majority needs to consent, though what is considered a majority
varies depending on the context (95%, 75%, 51%). Nowhere does it say
"everyone needs to agree".

There's a pretty huge gap between 90% and nearly 100%.  90% excluding 10%
only 7 times results in only 48% of the original base.

>If a small dissenting minority can block all forward progress then bitcoin
is no longer interesting.

Your definition of forward may be different than other users.

>Is that really the bitcoin that you want to be a part of?

Yes, I chose Bitcoin because it relies on a strictly held consensus
mechanism and not one that changes on the whims of the majority.  We have
tens of dozens of political currencies for that.

>When the 1MB cap was implemented it was stated specifically that we could
increase it when we needed it.  The white paper even talks about scaling to
huge capacity.  Not sure where you got the idea that we all agreed to stay
at 1MB forever, I certainly didn't.  It was never stated or implied that we
could change the coin cap later(please cite if I'm mistaken).

The community has not agreed that it is needed at this time.  Perhaps they
will change their mind at some point in the future.  We have also learned a
great deal since the publication of the initial whitepaper, such as the
unstable state without a backlog or subsidy.  Fortunately, participation in
this system is voluntary, and you are free to leave at any time.

This seems to be venturing quite off topic, and perhaps would be better
suited for the bitcoin-discuss list.

On Wed, Feb 8, 2017 at 1:56 PM, Andrew Johnson <[email-masked]>
wrote:

> If a small dissenting minority can block all forward progress then bitcoin
> is no longer interesting.  What an incredibly simple attack vector...
>
> No need to break any cryptography, find a bug to exploit, build tens of
> millions of dollars in mining hardware, spend lots of bitcoin on fees to
> flood the network, or be clever or expend any valuable resources in any
> way, shape, or form.
>
> Just convince(or pay, if you do want to expend some resources) a few
> people(or make up a few online personas) to staunchly refuse to accept
> anything at all and the entire system is stuck in 2013(when we first
> started widely discussing a blocksize increase seriously).
>
> Is that really the bitcoin that you want to be a part of?
>
> When the 1MB cap was implemented it was stated specifically that we could
> increase it when we needed it.  The white paper even talks about scaling to
> huge capacity.  Not sure where you got the idea that we all agreed to stay
> at 1MB forever, I certainly didn't.  It was never stated or implied that we
> could change the coin cap later(please cite if I'm mistaken).
>
>
> On Feb 8, 2017 12:16 PM, "alp alp" <[email-masked]> wrote:
>
> Doing nothing is the rules we all agreed to.  If those rules are to be
> changed,nearly everyone will need to consent.  The same rule applies to the
> cap, we all agreed to 21m, and if someone wants to change that, nearly
> everyone would need to agree.
>
>
> On Feb 8, 2017 10:28 AM, "Andrew Johnson" <[email-masked]>
> wrote:
>
> It is when you're talking about making a choice and 6.3x more people
> prefer something else. Doing nothing is a choice as well.
>
> Put another way, if 10% supported increasing the 21M coin cap and 63% were
> against, would you seriously consider doing it?
>
> On Feb 8, 2017 9:57 AM, "alp alp" <[email-masked]> wrote:
>
>> 10% is not a tiny minority.
>>
>> On Feb 8, 2017 9:51 AM, "Andrew Johnson" <[email-masked]>
>> wrote:
>>
>>> You're never going to reach 100% agreement, and stifling the network
>>> literally forever to please a tiny minority is daft.
>>>
>>> On Feb 8, 2017 8:52 AM, "alp alp via bitcoin-dev" <
>>> [email-masked]> wrote:
>>>
>>> 10% say literally never.  That seems like a significant
>>> disenfranchisement and lack of consensus.
>>>
>>> On Mon, Feb 6, 2017 at 2:25 PM, t. khan via bitcoin-dev <
>>> [email-masked]> wrote:
>>>
>>>> On Mon, Feb 6, 2017 at 2:53 PM, Luke Dashjr <[email-masked]> wrote:
>>>>
>>>>> On Monday, February 06, 2017 6:19:43 PM you wrote:
>>>>> > >My BIP draft didn't make progress because the community opposes any
>>>>> block
>>>>> > >size increase hardfork ever.
>>>>> >
>>>>> > Luke, how do you know the community opposes that? Specifically, how
>>>>> did you
>>>>> > come to this conclusion?
>>>>>
>>>>> http://www.strawpoll.me/12228388/r
>>>>
>>>>
>>>> That poll shows 63% of votes want a larger than 1 MB block by this
>>>> summer. How do you go from that to "the community opposes any block
>>>> increase ever"? It shows the exact opposite of that.
>>>>
>>>>
>>>>> > >Your version doesn't address the current block size
>>>>> > >issues (ie, the blocks being too large).
>>>>> >
>>>>> > Why do you think blocks are "too large"? Please cite some evidence.
>>>>> I've
>>>>> > asked this before and you ignored it, but an answer would be helpful
>>>>> to the
>>>>> > discussion.
>>>>>
>>>>> Full node count is far below the safe minimum of 85% of economic
>>>>> activity.
>>>>>
>>>>
>>>> Is this causing a problem now? If so, what?
>>>>
>>>>
>>>>> Typically reasons given for people not using full nodes themselves
>>>>> come down
>>>>> to the high resource requirements caused by the block size.
>>>>
>>>>
>>>> The reason people stop running nodes is because there's no incentive to
>>>> counteract the resource costs. Attempting to solve this by making blocks
>>>> *smaller* is like curing a disease by killing the patient. (Incentivizing
>>>> full node operation would fix that problem.)
>>>>
>>>> - t.k.
>>>>
>>>>
>>>> _______________________________________________
>>>> bitcoin-dev mailing list
>>>> [email-masked]
>>>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>>>
>>>>
>>>
>>> _______________________________________________
>>> bitcoin-dev mailing list
>>> [email-masked]
>>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>>
>>>
>>>
>
>